LRTimelapse 4.7 runs fine on Mac OS 10.12 Sierra

Just a quick note to let you know, that LRTimelapse 4.7.x runs fine on the latest Mac OS 10.12, codename “Sierra”. No actions necessary.


However, you might have to upgrade Lightroom. Check out Adobe’s notes.

If you still have LRTimelapse 2.x or 3.x you will have to upgrade your license to LRTimelapse 4 in order to work with Mac OS “El Capitan” or “Sierra”. You can get the upgrade in my Shop, in the section “Upgrades and Crossgrades”.


Comments are closed.